# List labels assigned to pull request

Endpoint: GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/labels
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `page` (integer)
    The page to return.

  - `limit` (integer)
    The maximum number of results to return.

  - `assignable` (boolean)
    The result should contain all labels assignable to the pullreq.

  - `query` (string)
    The substring which is used to filter the labels by their key.

## Path parameters:

  - `repo_identifier` (string, required)

  - `pullreq_number` (integer, required)

## Response 200 fields (application/json):

  - `label_data` (array,null)

  - `label_data.assigned` (boolean,null)

  - `label_data.assigned_value` (object)

  - `label_data.assigned_value.color` (string,null)

  - `label_data.assigned_value.id` (integer,null)

  - `label_data.assigned_value.value` (string,null)

  - `label_data.color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `label_data.id` (integer)

  - `label_data.key` (string)

  - `label_data.scope` (integer)

  - `label_data.type` (string)
    Enum: "dynamic", "static"

  - `label_data.values` (array)

  - `scope_data` (array,null)

  - `scope_data.repository` (object)

  - `scope_data.repository.default_branch` (string)

  - `scope_data.repository.fork_id` (integer)

  - `scope_data.repository.id` (integer)

  - `scope_data.repository.identifier` (string)

  - `scope_data.repository.parent_id` (integer)

  - `scope_data.repository.path` (string)

  - `scope_data.repository.type` (string)

  - `scope_data.scope` (integer)

  - `scope_data.space` (object)

  - `scope_data.space.id` (integer)

  - `scope_data.space.identifier` (string)

  - `scope_data.space.parent_id` (integer)

  - `scope_data.space.path` (string)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


